## imath 3.1.9

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

cmake_minimum_required(VERSION 3.12)

if(POLICY CMP0074)
  cmake_policy(SET CMP0074 NEW)
endif()

if(POLICY CMP0077)
  # enable variables set outside to override options
  cmake_policy(SET CMP0077 NEW)
endif()

# Imath version

project(Imath VERSION 3.1.9 LANGUAGES C CXX)

set(IMATH_VERSION_RELEASE_TYPE "" CACHE STRING "Extra version tag string for Imath build, such as -dev, -beta1, etc.")

set(IMATH_VERSION ${Imath_VERSION})
set(IMATH_VERSION_API "${Imath_VERSION_MAJOR}_${Imath_VERSION_MINOR}")

# Library/shared-object version using libtool versioning policy.
# See https://www.gnu.org/software/libtool/manual/html_node/Updating-version-info.html
#
# Library API version (CMake's library VERSION attribute) is of the
# form CURRENT.REVISION.AGE; the CMake SOVERSION attribute corresonds
# to just CURRENT. These produce a .so and a symlink symlink, e.g.:
# libImath-3_1.so.29 -> libImath-3_1.so.29.0.0
#                 ^                     ^  ^ ^
#                 |                     |  | |
#                 CURRENT               |  | AGE
#                                       |  REVISION 
#                                       CURRENT
# When updating:
#   1. no API change: CURRENT.REVISION+1.AGE
#   2. API added:     CURRENT+1.0.AGE+1
#   3. API changed:   CURRENT+1.0.0
#
set(IMATH_LIBTOOL_CURRENT 29)
set(IMATH_LIBTOOL_REVISION 8)
set(IMATH_LIBTOOL_AGE 0)
set(IMATH_LIB_VERSION "${IMATH_LIBTOOL_CURRENT}.${IMATH_LIBTOOL_REVISION}.${IMATH_LIBTOOL_AGE}")
set(IMATH_LIB_SOVERSION ${IMATH_LIBTOOL_CURRENT})

# ImathSetup.cmake declares all the configuration variables visible
# in cmake-gui or similar and the rest of the global
# project setup. Check the context to see what is configurable.
include(config/ImathSetup.cmake)

message(STATUS "Configure ${IMATH_PACKAGE_NAME}, library API version: ${IMATH_LIB_VERSION}")

# Config headers and package config files
add_subdirectory(config)

# Utility function for the repeated boilerplate of defining the libraries
include(config/LibraryDefine.cmake)

# Source code is in src/Imath
add_subdirectory(src/Imath)

# Imath_DIR points to the location of ImathConfig.cmake, which tells
# downstream projects where to find Imath, via find_package(Imath).
set(Imath_DIR "${CMAKE_CURRENT_BINARY_DIR}/config" CACHE PATH "" FORCE)

# Add an empty ImathTargets.cmake file for the config to use. It can
# be empty since we already defined the targets in add_subdirectory().
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/config/ImathTargets.cmake" "# Dummy file")

option(PYTHON "Set ON to compile PyImath bindings")
if (PYTHON)
  add_subdirectory(src/python)
endif()

option(BUILD_DOCS "Set ON to build readthedocs documentation")
if (BUILD_DOCS AND NOT IMATH_IS_SUBPROJECT)
  option(INSTALL_DOCS "Set ON to install html documentation" ON)
  add_subdirectory(docs)
endif()

# If you want to use ctest to configure, build and
# upload the results, cmake has builtin support for
# submitting to CDash, or any server who speaks the
# same protocol
# 
# These settings will need to be set for your environment,
# and then a script such as the example in
#
# cmake/SampleCTestScript.cmake
#
# edited and placed into the CI system, then run:
#
# cmake -S cmake/SampleCTestScript.cmake
#
# [or whatever you name the file you edit]
# 
#set(CTEST_PROJECT_NAME "Imath")
#set(CTEST_NIGHTLY_START_TIME "01:01:01 UTC")
#set(CTEST_DROP_METHOD "http") # there are others...
#set(CTEST_DROP_SITE "open.cdash.org")
#set(CTEST_DROP_LOCATION "/submit.php?project=MyProject")
#set(CTEST_DROP_SITE_CDASH TRUE)
include(CTest)
if(BUILD_TESTING AND NOT IMATH_IS_SUBPROJECT)
  enable_testing()
  add_subdirectory(src/ImathTest)
endif()

# Including this module will add a `clang-format` target to the build
# if the clang-format executable can be found. Only do this if we are
# top level.
if(NOT IMATH_IS_SUBPROJECT)
  include(cmake/clang-format.cmake)
endif()

=== config/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

if (IMATH_ENABLE_LARGE_STACK)
  set(IMATH_HAVE_LARGE_STACK ON)
endif()
if (IMATH_USE_DEFAULT_VISIBILITY)
  set(IMATH_ENABLE_API_VISIBILITY OFF)
else()
  set(IMATH_ENABLE_API_VISIBILITY ON)
endif()

configure_file(ImathConfig.h.in ${CMAKE_CURRENT_BINARY_DIR}/ImathConfig.h)

add_library(ImathConfig INTERFACE)

target_include_directories(ImathConfig INTERFACE
  $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
  $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
  $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${IMATH_OUTPUT_SUBDIR}>)

install(
  FILES
    ${CMAKE_CURRENT_BINARY_DIR}/ImathConfig.h
  DESTINATION
    ${CMAKE_INSTALL_INCLUDEDIR}/${IMATH_OUTPUT_SUBDIR}
)

install(TARGETS ImathConfig EXPORT ${PROJECT_NAME})

add_library(Imath::Config ALIAS ImathConfig)

if(IMATH_INSTALL_PKG_CONFIG)

  # Prepend prefix for includedir only if CMAKE_INSTALL_INCLUDEDIR is relative
  if(IS_ABSOLUTE "${CMAKE_INSTALL_INCLUDEDIR}")
      set(PKG_CONFIG_INSTALL_INCLUDEDIR "${CMAKE_INSTALL_INCLUDEDIR}")
  else()
      set(PKG_CONFIG_INSTALL_INCLUDEDIR "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}")
  endif()

  # Prepend exec_prefix for libdir only if CMAKE_INSTALL_LIBDIR is relative
  if(IS_ABSOLUTE "${CMAKE_INSTALL_LIBDIR}")
      set(PKG_CONFIG_INSTALL_LIBDIR "${CMAKE_INSTALL_LIBDIR}")
  else()
      set(PKG_CONFIG_INSTALL_LIBDIR "\${exec_prefix}/${CMAKE_INSTALL_LIBDIR}")
  endif()

  # use a helper function to avoid variable pollution, but pretty simple
  function(imath_pkg_config_help pcinfile)
    string(TOUPPER "${CMAKE_BUILD_TYPE}" uppercase_CMAKE_BUILD_TYPE)
    set(LIB_SUFFIX_DASH ${IMATH_LIB_SUFFIX}${CMAKE_${uppercase_CMAKE_BUILD_TYPE}_POSTFIX})
    string(REPLACE ".in" "" pcout ${pcinfile})
    configure_file(${pcinfile} ${CMAKE_CURRENT_BINARY_DIR}/${pcout} @ONLY)
    install(
        FILES ${CMAKE_CURRENT_BINARY_DIR}/${pcout}
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
    )
  endfunction()
  imath_pkg_config_help(Imath.pc.in)
else()
  message(STATUS "pkg-config generation disabled")
endif()

#
# The main export of the configuration: this is the cmake equivalent
# of a pkg-config file and replaces the Find*.cmake of the "old" cmake
#

include(CMakePackageConfigHelpers)

configure_package_config_file(ImathConfig.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake
  INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}
)

write_basic_package_version_file("${PROJECT_NAME}ConfigVersion.cmake"
  VERSION ${IMATH_VERSION}
  COMPATIBILITY SameMajorVersion
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}
)

install(EXPORT ${PROJECT_NAME}
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}
  FILE ${PROJECT_NAME}Targets.cmake
  NAMESPACE ${PROJECT_NAME}::
  EXPORT_LINK_INTERFACE_LIBRARIES
)

=== docs/requirements.txt ===
sphinx == 4.4.0
breathe
sphinx-press-theme

=== debian/changelog ===
imath (3.1.9-3ubuntu3) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:41:22 +0000

imath (3.1.9-3ubuntu2) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:50:34 +0100

imath (3.1.9-3ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Don't build python3-imath on i386

 -- Mate Kukri <mate.kukri@canonical.com>  Tue, 28 Nov 2023 09:48:52 +0000

imath (3.1.9-3) unstable; urgency=medium

  * debian/control: add python3-imath as dep to -dev
    (Closes: #1050349)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 04 Sep 2023 14:11:55 +0200

imath (3.1.9-2) unstable; urgency=medium

  * debian/rules: drop tests compilation

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 19 Aug 2023 13:57:55 +0200

imath (3.1.9-1) unstable; urgency=medium

  * New upstream release (Closes: #1042171)
  * debian/: massive packaging simplification

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 19 Aug 2023 00:24:19 +0200

imath (3.1.6-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Don't build python3-imath on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 11 Feb 2023 06:56:53 +0000

imath (3.1.5-1ubuntu3) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 25 Dec 2022 19:21:36 +0000

=== debian/control ===
Source: imath
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-python [!i386],
 doxygen,
 libboost-python-dev [!i386],
 pkg-config,
 python3-breathe [!i386],
 python3-dev:any [!i386],
 python3-numpy [!i386],
 python3-sphinx [!i386],
 python3-sphinx-press-theme [!i386]
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.openexr.com
Vcs-Git: https://salsa.debian.org/debian-phototools-team/imath.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/imath

Package: libimath-3-1-29
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Pre-Depends:
 ${misc:Pre-Depends}
Description: Utility libraries from ASF used by OpenEXR - runtime
 Imath is a basic, light-weight, and efficient C++ representation of
 2D and 3D vectors and matrices and other simple but useful
 mathematical objects, functions, and data types common in computer
 graphics applications, including the “half” 16-bit floating-point type.
 .
 Imath also includes optional Python bindings for all types and
 functions, including optimized implementations of vector and
 matrix arrays.
 .
 This package provides the runtime libraries.

Package: libimath-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libimath-3-1-29 (= ${binary:Version}),
 python3-imath,
 ${misc:Depends},
 ${shlibs:Depends}
Pre-Depends:
 ${misc:Pre-Depends}
Conflicts:
 libilmbase-dev
Provides:
 libilmbase-dev
Replaces:
 libilmbase-dev
Description: Utility libraries from ASF used by OpenEXR - development
 Imath is a basic, light-weight, and efficient C++ representation of
 2D and 3D vectors and matrices and other simple but useful
 mathematical objects, functions, and data types common in computer
 graphics applications, including the “half” 16-bit floating-point type.
 .
 Imath also includes optional Python bindings for all types and
 functions, including optimized implementations of vector and
 matrix arrays.
 .
 This package provides the development files for Imath.

Package: libimath-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 libjs-jquery,
 sphinx-common,
 ${misc:Depends}
Description: Utility libraries from ASF used by OpenEXR - documentation
 Imath is a basic, light-weight, and efficient C++ representation of
 2D and 3D vectors and matrices and other simple but useful
 mathematical objects, functions, and data types common in computer
 graphics applications, including the “half” 16-bit floating-point type.
 .
 Imath also includes optional Python bindings for all types and
 functions, including optimized implementations of vector and
 matrix arrays.
 .
 This package provides the official documentation for Imath.

Package: python3-imath
Section: python
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Provides:
 ${python3:Provides}
Description: Utility libraries from ASF used by OpenEXR - Python bindings
 Imath is a basic, light-weight, and efficient C++ representation of
 2D and 3D vectors and matrices and other simple but useful
 mathematical objects, functions, and data types common in computer
 graphics applications, including the “half” 16-bit floating-point type.
 .
 Imath also includes optional Python bindings for all types and
 functions, including optimized implementations of vector and
 matrix arrays.
 .
 This package provides Python bindings to the Imath library.

=== debian/rules ===
#! /usr/bin/make -f

pkg_lib = libimath-3-1-29
pkg_dev = libimath-dev
pkg_doc = libimath-doc
pkg_py  = python3-imath

export DH_OPTIONS
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifneq ($(DEB_HOST_ARCH), i386)
    witharg = --with python3
    cmake_python = -DPYTHON=ON
endif

INSTDIR = debian/tmp

%:
	dh $@ -Bbuild -Scmake $(witharg)

ifeq "" "$(filter %-doc,$(shell dh_listpackages))"
  BUILDDOC = OFF
else
  BUILDDOC = ON
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_DOCS=$(BUILDDOC) \
		-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
		$(cmake_python)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	dh_auto_install -- -C docs

override_dh_auto_test:

override_dh_install-arch:
	dh_numpy3 --package=python3-imath
	dh_install

override_dh_install-indep:
	rm -f $(INSTDIR)/usr/share/doc/Imath/sphinx/_static/doctools.js
	rm -f $(INSTDIR)/usr/share/doc/Imath/sphinx/_static/jquery.js
	rm -f $(INSTDIR)/usr/share/doc/Imath/sphinx/_static/language_data.js
	rm -f $(INSTDIR)/usr/share/doc/Imath/sphinx/_static/searchtools.js
	rm -f $(INSTDIR)/usr/share/doc/Imath/sphinx/_static/underscore.js
	rm -f $(INSTDIR)/usr/share/doc/Imath/sphinx/.buildinfo
	rm -rf $(INSTDIR)/usr/share/doc/Imath/sphinx/.doctrees
	dh_install -p$(pkg_doc) usr/share/doc/Imath/sphinx/* usr/share/doc/libimath-doc/html

override_dh_install-arch:
	# See #1004067
	sed -i -e "s/FATAL_ERROR/STATUS/g" debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Imath/ImathConfig.cmake
	sed -i -e "s/FATAL_ERROR/STATUS/g" debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Imath/ImathTargets.cmake
ifneq ($(DEB_HOST_ARCH), i386)
	dh_numpy3 --package=$(pkg_py)
endif
	dh_install -p$(pkg_lib) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libImath-3_1.so.29.8.0
	dh_install -p$(pkg_lib) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libImath-3_1.so.29
	dh_install -p$(pkg_dev) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libImath-3_1.so
	dh_install -p$(pkg_dev) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libImath.so
	dh_install -p$(pkg_dev) debian/tmp/usr/include
	dh_install -p$(pkg_dev) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/
	dh_install -p$(pkg_dev) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
ifneq ($(DEB_HOST_ARCH), i386)
	dh_install -p$(pkg_py)  debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libPyImath_Python3_*-3_1.so
	dh_install -p$(pkg_py)  debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libPyImath_Python3_*-3_1.so.29
	dh_install -p$(pkg_py)  debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libPyImath_Python3_*-3_1.so.29.8.0
	dh_install -p$(pkg_py)  debian/tmp/usr/lib/python3/dist-packages/imath.so
	dh_install -p$(pkg_py)  debian/tmp/usr/lib/python3/dist-packages/imathnumpy.so
endif

## imath 3.1.11

=== debian/changelog ===
imath (3.1.11-2ubuntu1) oracular; urgency=medium

  * Sync with Debian. Remaining change:
    - Don't build python3-imath on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 27 Jun 2024 12:01:55 -0400

imath (3.1.11-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 17 Jun 2024 20:52:03 +0200

imath (3.1.11-1) experimental; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 24 Apr 2024 20:50:36 +0200

imath (3.1.10-1) experimental; urgency=medium

  * New upstream release
    - debian/patches/: patchset updated
      - 0001-Re-enable_documentation_installation.patch added
  * debian/control:
    - python3-imath b-dep dropped for libimath-dev
      (Closes: #1061327)
    - Python3 b-deps fixed for documentation generation
      (Closes: #1060843)
    - pkg-config -> pkgconf switch
  * debian/rules: 'docs' -> 'website' renaming
  * debian/libimath-doc.examples: 'docs' -> 'website' renaming

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 19 Feb 2024 21:21:24 +0100

imath (3.1.9-3.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Sat, 17 Feb 2024 17:03:43 +0000

=== debian/control ===
--- 
+++ 
@@ -7,22 +7,25 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
- dh-python [!i386],
+ dh-python,
  doxygen,
  libboost-python-dev [!i386],
- pkg-config,
- python3-breathe [!i386],
- python3-dev:any [!i386],
- python3-numpy [!i386],
- python3-sphinx [!i386],
- python3-sphinx-press-theme [!i386]
+ pkgconf,
+ python3-breathe <!nodoc>,
+ python3-dev:native, libpython3-dev,
+ python3-numpy:native [!i386],
+ python3-sphinx <!nodoc>,
+ python3-sphinx-press-theme <!nodoc>
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.openexr.com
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/imath.git
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/imath
 
-Package: libimath-3-1-29
+Package: libimath-3-1-29t64
+Provides: ${t64:Provides}
+Replaces: libimath-3-1-29
+Breaks: libimath-3-1-29 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -47,8 +50,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libimath-3-1-29 (= ${binary:Version}),
- python3-imath,
+ libimath-3-1-29t64 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Pre-Depends:
@@ -75,6 +77,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
+Build-Profiles: <!nodoc>
 Depends:
  libjs-jquery,
  sphinx-common,
@@ -93,7 +96,7 @@
 
 Package: python3-imath
 Section: python
-Architecture: any
+Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
 Multi-Arch: same
 Depends:
  ${misc:Depends},

## imath 3.1.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 # Imath version
 
-project(Imath VERSION 3.1.9 LANGUAGES C CXX)
+project(Imath VERSION 3.1.12 LANGUAGES C CXX)
 
 set(IMATH_VERSION_RELEASE_TYPE "" CACHE STRING "Extra version tag string for Imath build, such as -dev, -beta1, etc.")
 
@@ -39,7 +39,7 @@
 #   3. API changed:   CURRENT+1.0.0
 #
 set(IMATH_LIBTOOL_CURRENT 29)
-set(IMATH_LIBTOOL_REVISION 8)
+set(IMATH_LIBTOOL_REVISION 11)
 set(IMATH_LIBTOOL_AGE 0)
 set(IMATH_LIB_VERSION "${IMATH_LIBTOOL_CURRENT}.${IMATH_LIBTOOL_REVISION}.${IMATH_LIBTOOL_AGE}")
 set(IMATH_LIB_SOVERSION ${IMATH_LIBTOOL_CURRENT})
@@ -51,6 +51,7 @@
 
 message(STATUS "Configure ${IMATH_PACKAGE_NAME}, library API version: ${IMATH_LIB_VERSION}")
 
+option(IMATH_INSTALL "Install Imath library" ON)
 # Config headers and package config files
 add_subdirectory(config)
 
@@ -73,10 +74,9 @@
   add_subdirectory(src/python)
 endif()
 
-option(BUILD_DOCS "Set ON to build readthedocs documentation")
-if (BUILD_DOCS AND NOT IMATH_IS_SUBPROJECT)
-  option(INSTALL_DOCS "Set ON to install html documentation" ON)
-  add_subdirectory(docs)
+option(BUILD_WEBSITE "Set ON to build the readthedocs website source")
+if (BUILD_WEBSITE AND NOT IMATH_IS_SUBPROJECT)
+  add_subdirectory(website)
 endif()
 
 # If you want to use ctest to configure, build and

=== website/requirements.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright (c) Contributors to the OpenEXR Project.

sphinx == 7.4.2
breathe
sphinx-press-theme

=== src/Imath/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

imath_define_library(Imath
  PRIV_EXPORT IMATH_EXPORTS
  CURDIR ${CMAKE_CURRENT_SOURCE_DIR}
  SOURCES
    half.cpp
    ImathColorAlgo.cpp
    ImathFun.cpp
    ImathMatrixAlgo.cpp
    ImathRandom.cpp
    toFloat.h
  HEADERS
    half.h
    halfFunction.h
    halfLimits.h
    ImathBox.h
    ImathBoxAlgo.h
    ImathColor.h
    ImathColorAlgo.h
    ImathEuler.h
    ImathExport.h
    ImathForward.h
    ImathFrame.h
    ImathFrustum.h
    ImathFrustumTest.h
    ImathFun.h
    ImathGL.h
    ImathGLU.h
    ImathInt64.h
    ImathInterval.h
    ImathLine.h
    ImathLineAlgo.h
    ImathMath.h
    ImathMatrix.h
    ImathMatrixAlgo.h
    ImathNamespace.h
    ImathPlane.h
    ImathPlatform.h
    ImathQuat.h
    ImathRandom.h
    ImathRoots.h
    ImathShear.h
    ImathSphere.h
    ImathTypeTraits.h
    ImathVec.h
    ImathVecAlgo.h
  )

=== src/ImathTest/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

if("${CMAKE_PROJECT_NAME}" STREQUAL "")
  # If the project name is set, this is being configured as a part of
  # Imath.  If there is no project name, it's being configured as a
  # standalone program linking against an already-installed Imath
  # library.
  cmake_minimum_required(VERSION 3.12)
  project(ImathTest)
  find_package(Imath)
endif()

add_executable(ImathTest 
  main.cpp
  testBox.cpp
  testBoxAlgo.cpp
  testColor.cpp
  testExtractEuler.cpp
  testExtractSHRT.cpp
  testFrustum.cpp
  testFrustumTest.cpp
  testFun.cpp
  testInterval.cpp
  testInvert.cpp
  testJacobiEigenSolver.cpp
  testLineAlgo.cpp
  testMatrix.cpp
  testMiscMatrixAlgo.cpp
  testProcrustes.cpp
  testQuat.cpp
  testQuatSetRotation.cpp
  testQuatSlerp.cpp
  testRandom.cpp
  testRoots.cpp
  testShear.cpp
  testTinySVD.cpp
  testVec.cpp
  testArithmetic.cpp
  testBitPatterns.cpp
  testClassification.cpp
  testError.cpp
  testFunction.cpp
  testLimits.cpp
  testSize.cpp
  testToFloat.cpp
  testInterop.cpp
  testNoInterop.cpp
)

target_link_libraries(ImathTest Imath::Imath)
set_target_properties(ImathTest PROPERTIES
  RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin"
  )


if(NOT "${CMAKE_PROJECT_NAME}" STREQUAL "ImathTest")

  add_executable(ImathHalfCTest half_c_main.c)
  target_link_libraries(ImathHalfCTest Imath::Config)
  target_include_directories(ImathHalfCTest PRIVATE "../Imath")
  #target_compile_options(ImathHalfCTest PRIVATE -mavx2 -mf16c)
  if (IMATH_USE_HALF_LOOKUP_TABLE)
    target_link_libraries(ImathHalfCTest Imath::Imath)
  endif()

  set_target_properties(ImathHalfCTest PROPERTIES
    RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin"
    )
  add_test(NAME Imath.half_c_only COMMAND $<TARGET_FILE:ImathHalfCTest>)

endif()

add_executable(ImathHalfPerfTest half_perf_test.cpp)
set_target_properties(ImathHalfPerfTest PROPERTIES
RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin"
)
target_link_libraries(ImathHalfPerfTest Imath::Imath)
add_test(NAME Imath.half_perf_test COMMAND $<TARGET_FILE:ImathHalfPerfTest>)

function(DEFINE_IMATH_TESTS)
  foreach(curtest IN LISTS ARGN)
    add_test(NAME Imath.${curtest} COMMAND $<TARGET_FILE:ImathTest> ${curtest})
  endforeach()
endfunction()

define_imath_tests(
  testToFloat
  testSize
  testArithmetic
  testNormalizedConversionError
  testDenormalizedConversionError
  testRoundingError
  testBitPatterns
  testClassification
  testLimits
  testHalfLimits
  testFunction
  testVec
  testColor
  testShear
  testMatrix
  testMiscMatrixAlgo
  testRoots
  testFun
  testInvert
  testInterval
  testFrustum
  testRandom
  testExtractEuler
  testExtractSHRT
  testQuat
  testQuatSetRotation
  testQuatSlerp
  testLineAlgo
  testBoxAlgo
  testBox
  testProcrustes
  testTinySVD
  testJacobiEigenSolver
  testFrustumTest
  testInterop
  testNoInterop
)

=== src/python/PyImathNumpy/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

if(TARGET Python2::Python AND
   TARGET Boost::${PYIMATH_BOOST_PY_COMPONENT} AND
   TARGET Python2::ImathNumPy)
  set(moddeps_p2 PyImath)
  list(TRANSFORM moddeps_p2 APPEND ${PYIMATH_LIB_PYTHONVER_ROOT}${Python2_VERSION_MAJOR}_${Python2_VERSION_MINOR})
  Python2_add_library(imathnumpy_python2 MODULE
    imathnumpymodule.cpp
  )
  target_link_libraries(imathnumpy_python2
    PRIVATE
      Imath
      ${moddeps_p2}
      Python2::Python
      Boost::${PYIMATH_BOOST_PY_COMPONENT}
      Python2::ImathNumPy
    )
  set_target_properties(imathnumpy_python2 PROPERTIES
    LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/python${Python2_VERSION_MAJOR}_${Python2_VERSION_MINOR}/"
    LIBRARY_OUTPUT_NAME "imathnumpy"
    DEBUG_POSTFIX ""
  )
  install(TARGETS imathnumpy_python2 DESTINATION ${PyImath_Python2_SITEARCH_REL})
endif()

if(TARGET Python3::Python AND
   TARGET Boost::${PYIMATH_BOOST_PY_COMPONENT} AND
   TARGET Python3::ImathNumPy)

  set(moddeps_p3 PyImath)
  list(TRANSFORM moddeps_p3 APPEND ${PYIMATH_LIB_PYTHONVER_ROOT}${Python3_VERSION_MAJOR}_${Python3_VERSION_MINOR})

  Python3_add_library(imathnumpy_python3 MODULE
    imathnumpymodule.cpp
  )
  target_link_libraries(imathnumpy_python3
    PRIVATE
      Imath
      ${moddeps_p3}
      Python3::Python
      Boost::${PYIMATH_BOOST_PY_COMPONENT}
      Python3::ImathNumPy
    )
  set_target_properties(imathnumpy_python3 PROPERTIES
    LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/python${Python3_VERSION_MAJOR}_${Python3_VERSION_MINOR}/"
    LIBRARY_OUTPUT_NAME "imathnumpy"
    DEBUG_POSTFIX ""
  )
  install(TARGETS imathnumpy_python3 DESTINATION ${PyImath_Python3_SITEARCH_REL})
endif()

=== src/python/PyImathSpeedTest/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

# Speed tests are not performed in Python2 as getting acurate time is difficult.
# set -DSPEED=ON when running cmake to perform these tests.
if(TARGET Python3::Interpreter AND SPEED) 
  add_test(PyImath.PyImathSpeedTest_Python3
    ${Python3_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pyImathSpeedTest.in
    )
  set_tests_properties(PyImath.PyImathSpeedTest_Python3 PROPERTIES
    ENVIRONMENT "PYTHONPATH=${CMAKE_BINARY_DIR}/python${Python3_VERSION_MAJOR}_${Python3_VERSION_MINOR}"
    )
endif()

=== debian/changelog ===
imath (3.1.12-1deepin1) unstable; urgency=medium

  * Revert t64

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 11 Apr 2025 11:06:05 +0800

imath (3.1.12-1) unstable; urgency=medium

  * New upstream release
  * debian/control: S-V bump 4.6.2 -> 4.7.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 24 Oct 2024 20:32:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,27 @@
 Source: imath
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
  dh-python,
  doxygen,
- libboost-python-dev [!i386],
+ libboost-python-dev,
  pkgconf,
  python3-breathe <!nodoc>,
  python3-dev:native, libpython3-dev,
- python3-numpy:native [!i386],
+ python3-numpy:native,
  python3-sphinx <!nodoc>,
  python3-sphinx-press-theme <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.openexr.com
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/imath.git
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/imath
 
-Package: libimath-3-1-29t64
-Provides: ${t64:Provides}
-Replaces: libimath-3-1-29
-Breaks: libimath-3-1-29 (<< ${source:Version})
+Package: libimath-3-1-29
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -50,7 +46,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libimath-3-1-29t64 (= ${binary:Version}),
+ libimath-3-1-29 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Pre-Depends:
@@ -96,7 +92,7 @@
 
 Package: python3-imath
 Section: python
-Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
+Architecture: any
 Multi-Arch: same
 Depends:
  ${misc:Depends},

=== debian/rules ===
#! /usr/bin/make -f

export DH_OPTIONS
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

INSTDIR = debian/tmp

%:
	dh $@ -Bbuild -Scmake --with python3

ifeq "" "$(filter %-doc,$(shell dh_listpackages))"
  WEBSITE = OFF
else
  WEBSITE = ON
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_WEBSITE=$(WEBSITE) \
		-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
		-DPYTHON=ON

override_dh_auto_build-indep:
	dh_auto_build -- website

override_dh_auto_install-indep:
	dh_auto_install -- -C website

override_dh_auto_test:

override_dh_install-arch:
	dh_numpy3 --package=python3-imath
	dh_install

override_dh_install-indep:
	rm -f $(INSTDIR)/usr/share/doc/Imath/sphinx/_static/doctools.js
	rm -f $(INSTDIR)/usr/share/doc/Imath/sphinx/_static/jquery.js
	rm -f $(INSTDIR)/usr/share/doc/Imath/sphinx/_static/language_data.js
	rm -f $(INSTDIR)/usr/share/doc/Imath/sphinx/_static/searchtools.js
	rm -f $(INSTDIR)/usr/share/doc/Imath/sphinx/_static/underscore.js
	rm -f $(INSTDIR)/usr/share/doc/Imath/sphinx/.buildinfo
	rm -rf $(INSTDIR)/usr/share/doc/Imath/sphinx/.doctrees
	dh_install

## imath requests-0.2.2

=== requirements.txt ===
flask
flask-restful
requests
